# https://fedoraproject.org/wiki/Packaging:Haskell

Name:           cab
Version:        0.1.9
Release:        10%{?dist}
Summary:        Maintenance command for Haskell cabal packages

License:        BSD
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-attoparsec-enumerator-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-enumerator-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-unix-devel
# End cabal-rpm deps
Requires:       cabal-install
Requires:       cabal-dev

%description
Cab provides a maintenance command for Haskell cabal packages.
It is partly a wrapper of ghc-pkg and cabal.
If you get confused by the differences between the two commands,
need a way to check all outdated packages, or
to remove outdated packages recursively, this command will help.


%prep
%setup -q


%build
%ghc_bin_build


%install
%ghc_bin_install


%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 19 2013 Jens Petersen <petersen@redhat.com> - 0.1.9-9
- rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.1.9-7
- require cabal-dev
- update with cabal-rpm

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Jens Petersen <petersen@redhat.com> - 0.1.9-5
- rebuild

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.1.9-4
- rebuild

* Sat Mar 24 2012 Jens Petersen <petersen@redhat.com> - 0.1.9-3
- rebuild

* Sat Mar  3 2012 Jens Petersen <petersen@redhat.com> - 0.1.9-2
- rebuild

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.1.9-1
- update to 0.1.9 and cabal2spec-0.25.2

* Sat Oct 29 2011 Jens Petersen <petersen@redhat.com> - 0.1.6-3
- rebuild against newer attoparsec and enumerator

* Wed Oct 26 2011 Jens Petersen <petersen@redhat.com> - 0.1.6-2
- rebuild against new gmp

* Wed Sep 21 2011 Jens Petersen <petersen@redhat.com> - 0.1.6-1
- update to 0.1.6

* Fri Aug 19 2011 Jens Petersen <petersen@redhat.com> - 0.1.5-1
- BSD license and add deps
- requires cabal-install

* Fri Aug 19 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.1.5-0
- initial packaging for Fedora automatically generated by cabal2spec-0.23.2
